CGREP(1)

NAME
cgrep - like grep(1) over all indexed files

SYNOPSIS
cgrep [-c] [-h] [-i] [-l] [-n] regexp [ file... ]

DESCRIPTION
Cgrep behaves like grep, searching for regexp, an RE2 (nearly PCRE) regular expression. The -c, -h, -i, -l, and -n flags are as in grep, although note that as per Go's flag parsing convention, they cannot be combined: the option pair -i -n cannot be abbreviated to -in.

OPTIONS

-c  Suppress normal output; instead print a count of matching lines for each input file.

-h  Suppress the prefixing of file names on output.

-i  Ignore case distinctions in both the regexp and the input files.

-l  Suppress normal output; instead print the name of each input file from which output would normally have been printed.

-n  Prefix each line of output with the 1-based line number within its input file.

ENVIRONMENT
Cgrep uses the index stored in $CSEARCHINDEX or, if that variable is unset or empty, $HOME/.csearchindex.

SEE ALSO
cindex(1), csearch(1), grep(1).

AUTHOR

This manual page was written by Michael Stapelberg <stapelberg@debian.org>, for the Debian project (and may be used by others).